Step 3.5 Flash

Step 3.5 Flash
StepFun · Text Generation
POST /v1/chat/completions

StepFun text reasoning model for agents, coding, tool calling, and long-context analysis.

At a glance

FieldValue
Model idstep-3-5-flash
Model release date2026-02-12
Input modalitiesText
Output modalitiesText
Context window256K
Weight precision-
Max output tokens131,072
RegionInternational
Featuresreasoning, function_calling, prompt_cache, agentic_coding, web_search
Native inferenceNo
NewYes
Structured outputNot supported
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/step-3-5-flash:generateContent
Alternate model idsstep-3.5-flash, stepfun/step-3-5-flash, stepfun/step-3.5-flash

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$0.10
Outputper 1M generated tokens$0.30
Implicit cache readper 1M cached input tokens$0.02
Web Search (Linkup)per call when invoked$0.013

Example request

$curl https://api.empiriolabs.ai/v1/chat/completions \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -H 'Content-Type: application/json' \
> -d '{"model": "step-3-5-flash", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.5Sampling temperature. · Range: 0 – 2
top_pnumberno0.9Nucleus sampling probability mass. · Range: 0 – 1
max_tokensintegerno4096Maximum output tokens. Reasoning tokens count toward this limit. · Range: 1 – 131072
stoparrayno-Stop sequences.
frequency_penaltynumberno0Penalty for repeated tokens. · Range: 0 – 1
reasoning_formatenumno"general"Reasoning trace format returned by StepFun. · Allowed: general, deepseek-style
toolsarrayno-OpenAI-compatible function tools.
tool_choicestringno-OpenAI-compatible tool choice.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.
disable_formattingbooleannofalseWhen enabled, the gateway will not append the “Sources” footer to assistant responses that used Linkup web search. Useful when the model output is piped to another system that expects no decoration.

Notes

Text-only reasoning with 256K context, function tools, prompt-cache billing, and optional Linkup web search.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/step-3-5-flash.